RDKit::FMCS::MolFragment Struct Reference

`#include <Seed.h>`

## Public Attributes

std::vector< const Atom * > | Atoms
std::vector< const Bond * > | Bonds
std::vector< unsigned > | AtomsIdx
std::vector< unsigned > | BondsIdx
std::map< unsigned, unsigned > | SeedAtomIdxMap

## Detailed Description

Definition at line 23 of file Seed.h.

## Member Data Documentation

## Atoms

std::vector<const Atom*> RDKit::FMCS::MolFragment::Atoms

Definition at line 24 of file Seed.h.

## AtomsIdx

std::vector<unsigned> RDKit::FMCS::MolFragment::AtomsIdx

Definition at line 26 of file Seed.h.

Referenced by RDKit::FMCS::SubstructureCache::HashKey::computeKey(), RDKit::FMCS::Seed::getNumAtoms(), and RDKit::FMCS::TargetMatch::init().

## Bonds

std::vector<const Bond*> RDKit::FMCS::MolFragment::Bonds

Definition at line 25 of file Seed.h.

Referenced by RDKit::FMCS::SubstructureCache::HashKey::computeKey(), and RDKit::FMCS::TargetMatch::init().

## BondsIdx

std::vector<unsigned> RDKit::FMCS::MolFragment::BondsIdx

Definition at line 27 of file Seed.h.

Referenced by RDKit::FMCS::SubstructureCache::HashKey::computeKey(), and RDKit::FMCS::Seed::getNumBonds().

## SeedAtomIdxMap

std::map<unsigned, unsigned> RDKit::FMCS::MolFragment::SeedAtomIdxMap

Definition at line 28 of file Seed.h.

Referenced by RDKit::FMCS::SubstructureCache::HashKey::computeKey().

The documentation for this struct was generated from the following file:

- Seed.h